[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.IsColumnIndexValid

Indicates if the specified index position is valid for the columns in the grid.

## Declaration

Source position: grids.pas line 1136

`protected function TCustomGrid.IsColumnIndexValid(`
`AIndex: Integer`
`):Boolean;`

## Arguments

`AIndex` |  | Index position examined in the method.

## Function result

True when Index is in range for the column definitions in the grid.

## Description

Returns True when AIndex is a valid column index in the range 0..ColCount-1.

IsColumnIndexValid is used in several methods which access a column definition or data by its ordinal position in the grid control.